Subject: Re: Does Cygwin run on Windows 2003 64 bit?
From: Kai Tietz <[email-masked]>
To: Tim Prince <[email-masked]>
Cc: [email-masked]
Date: Mon, 8 Oct 2007 09:52:55 +0200
List-Id: <cygwin.cygwin.com>

> Matthew Woehlke wrote:
> > [email-masked] wrote:
> >> Can you please tell me if Cygwin is expected to run on Windows 2003 
64
> >> bit Enterprise Edition?
> > 
> > Yes (but Cygwin won't magically be 64-bit). I use Cygwin on a 2k3 r2 
x64
> > box to create a unix-like build environment (that matches the other
> > platforms we support). Note that currently there is no 64-bit version 
of
> > GCC available for Windows, AFAIK.
> Off topic and incorrect, as the mingw one offered by FX Coudert worked
> for me.  I'd continue dreaming of a 64-bit Cygwin, if I thought that
> might come true.

Sorry, this may off topic. But I want just to inform, that there is 64-bit 
gcc (together with the binutils) support for window allready present until 
version 4.3. You can find a crt and headerset for the target 
x86_64-pc-mingw32 on sf.net in project mingw-w64. It is currently an alpha 
version. FX compiler its mingw cross compiler version using this crt.

Cheers,
 i.A. Kai Tietz

|  (\_/)  This is Bunny. Copy and paste Bunny
| (='.'=) into your signature to help him gain
| (")_(") world domination.

------------------------------------------------------------------------------------------
  OneVision Software Entwicklungs GmbH & Co. KG
  Dr.-Leo-Ritter-Straße 9 - 93049 Regensburg
  Tel: +49.(0)941.78004.0 - Fax: +49.(0)941.78004.489 - www.OneVision.com
  Commerzbank Regensburg - BLZ 750 400 62 - Konto 6011050
  Handelsregister: HRA 6744, Amtsgericht Regensburg
  Komplementärin: OneVision Software Entwicklungs Verwaltungs GmbH
  Dr.-Leo-Ritter-Straße 9 – 93049 Regensburg
  Handelsregister: HRB 8932, Amtsgericht Regensburg - Geschäftsführer: 
Ulrike Döhler, Manuela Kluger